Subject: [rbridge] Fwd: DISCUSS and COMMENT: draft-ietf-trill-rbridge-protocol

From: Erik Nordmark <[email-masked]>
Date: Wed, 20 Jan 2010 11:10:33 -0800

-------- Original Message --------
Subject: DISCUSS and COMMENT: draft-ietf-trill-rbridge-protocol
Date: Wed, 20 Jan 2010 00:24:05 -0800 (PST)
From: Pasi Eronen <[email-masked]>
To: [email-masked]
CC: [email-masked], 
[email-masked]

Discuss:
I have reviewed draft-ietf-trill-rbridge-protocol-14, and have one
questions that I'd like to discuss before recommending approval of
the document:

Section 4.7 says "RBridges do not need to announce themselves as
listeners to the All-Snoopers multicast group (the group used for MRD
reports [RFC4541]), because the IP multicast address for that group is
in the range where all frames sent to that IP multicast addresses must
be broadcast."

Isn't this true only for IPv4, but not IPv6? (RFC 4541 seems to
broadcast 224.0.0.106, but not FF02::6A)

Comment:
I found the document surprisingly well-written and easy to
understand (despite the complex topic).

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 20 Jan 2010 15:22:05 -0500

See below,

> broadcast 224.0.0.106, but not FF02::6A)

I've looked at the relevant RFCs and I believe Pasi is correct. It should
say something like

"RBridges does not need to announce themselves as listeners to the IPv4
All-Snoopers multicast group (the group used for MRD reports [RFC4541]),
because the IPv4 multicast address for that group is in the range where all
frames sent to that IP multicast addresses must be broadcast. However,
RBridges the implement IPv6 derived multicast optimization MUST announce
themselves as listeners to the IPv6 All-Snoopers multicast group."

Does any have a problem with that wording?

> understand (despite the complex topic).

Thanks,
Donald
=============================
Donald E. Eastlake 3rd   +1-508-634-2066 (home)
155 Beaver Street
Milford, MA 01757 USA
[email-masked]
_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 20 Jan 2010 16:00:48 -0500

Sorry for a couple of typos fixed below...

On Wed, Jan 20, 2010 at 3:22 PM, Donald Eastlake <[email-masked]> wrote:

> All-Snoopers multicast

does -> do

> group (the group used for MRD reports [RFC4541]), because the IPv4
> multicast address for that group is in the range where all frames sent to
> that IP multicast addresses must be broadcast. However, RBridges the
> implement IPv6 derived multicast optimization MUST announce
>

the -> that

Thanks,
Donald

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 21 Jan 2010 11:15:49 -0500

Hi,

I've received a comment that MRD (multicast router discovery) is actually
specified in RFC 4286. Also, the "MUST announce" should depend on whether an
RBridge is actually doing IPv6 multicast optimization, not just on whether
the RBridge has implemented it. Incorporating these changes, the text would
read:

"RBridges do not need to announce themselves as listeners to the IPv4
All-Snoopers multicast group (the group used for MRD reports [RFC4286]),
because the IPv4 multicast address for that group is in the range where all
frames sent to that IP multicast addresses must be broadcast (see [RFC4541],
Section 2.1.2). However, RBridges that are performing IPv6 derived multicast
optimization MUST announce themselves as listeners to the IPv6 All-Snoopers
multicast group."

Thanks,
Donald